fop 1.1

## org.apache.fop.fo.extensions.xmp
Class XMPContentHandlerFactory

    java.lang.Object
      org.apache.fop.fo.extensions.xmp.XMPContentHandlerFactory

All Implemented Interfaces:
  ContentHandlerFactory

    public class XMPContentHandlerFactory

extends java.lang.Object
implements ContentHandlerFactory

ContentHandlerFactory for the XMP root element.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.fop.util.ContentHandlerFactory
`ContentHandlerFactory.ObjectBuiltListener, ContentHandlerFactory.ObjectSource`

Constructor Summary
`XMPContentHandlerFactory()`

Method Summary
`org.xml.sax.ContentHandler` `createContentHandler()`
`java.lang.String[]` `getSupportedNamespaces()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMPContentHandlerFactory

    public XMPContentHandlerFactory()

Method Detail

### getSupportedNamespaces

    public java.lang.String[] getSupportedNamespaces()

  Specified by:
    `getSupportedNamespaces` in interface `ContentHandlerFactory`
  Returns:
    an array of supported namespaces.

### createContentHandler

    public org.xml.sax.ContentHandler createContentHandler()
                                                    throws org.xml.sax.SAXException

  Specified by:
    `createContentHandler` in interface `ContentHandlerFactory`
  Returns:
    a new ContentHandler to handle a SAX stream
  Throws:
    `org.xml.sax.SAXException` - if there's an error while preparing the ContentHandler

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.